read.oce {oce} | R Documentation

## Read an oceanographic data file

### Description

Read an oceanographic data file, auto-discovering the file type from the first line of the file.

### Usage

    read.oce(file, ...)

### Arguments

`file` | a connection or a character string giving the name of the file to load.
`...` | arguments to be handed to whichever instrument-specific reading function is selected, based on the header.

### Details

This function tries to infer the file type from the first line, using `oceMagic`. If it can be discovered, then an instrument-specific file reading function is called, with the `file` and with any additional arguments being supplied.

### Value

An object of base `class` `"oce"`, and also with a class that signifies the type of data, e.g. `"ctd"`, `"sealevel"`, etc.

### Author(s)

Dan Kelley

### See Also

The file type is determined by `oceMagic`. If the file type can be determined, then one of the following is called: `read.ctd`, `read.coastline` `read.lobo`, `read.rsk`, `read.sealevel`, etc.

### Examples

    library(oce)
    x <- read.oce(system.file("extdata", "ctd.cnv", package="oce"))
    plot(x) # summary with TS and profiles
    plotTS(x) # just the TS

[Package oce version 0.9-18 Index]